summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDoug Goldstein <cardoe@gentoo.org>2006-02-12 10:16:41 +0000
committerDoug Goldstein <cardoe@gentoo.org>2006-02-12 10:16:41 +0000
commita5bc6426eed623217750eb97bb1b87f0f96bd764 (patch)
treee06963f7903b3933659980f97f6b0d1ac6f02cc2 /eclass
parentrev bump (diff)
downloadgentoo-2-a5bc6426eed623217750eb97bb1b87f0f96bd764.tar.gz
gentoo-2-a5bc6426eed623217750eb97bb1b87f0f96bd764.tar.bz2
gentoo-2-a5bc6426eed623217750eb97bb1b87f0f96bd764.zip
Added {R}DEPEND to eclass rather then ebuild
Diffstat (limited to 'eclass')
-rw-r--r--eclass/mythtv-plugins.eclass12
1 files changed, 7 insertions, 5 deletions
diff --git a/eclass/mythtv-plugins.eclass b/eclass/mythtv-plugins.eclass
index 78f469ad1127..bc29e535a5a6 100644
--- a/eclass/mythtv-plugins.eclass
+++ b/eclass/mythtv-plugins.eclass
@@ -1,8 +1,8 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mythtv-plugins.eclass,v 1.10 2006/02/11 16:31:53 caleb Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mythtv-plugins.eclass,v 1.11 2006/02/12 10:16:41 cardoe Exp $
#
-# Author: Doug Goldstein <cardoe@gentoo.org
+# Author: Doug Goldstein <cardoe@gentoo.org>
#
inherit multilib
@@ -10,11 +10,13 @@ inherit multilib
IUSE="debug mmx"
EXPORT_FUNCTIONS src_unpack src_compile src_install
-MYTHPLUGINS="mythbrowser mythdvd mythgallery mythgame mythmusic mythnews mythphone mythvideo mythweather mythweb"
+MYTHPLUGINS="mythbrowser mythcontrols mythdvd mythflix mythgallery mythgame mythmusic mythnews mythphone mythvideo mythweather mythweb"
MTVCONF=""
S="${WORKDIR}/mythplugins-${PV}"
-DEPEND=">=sys-apps/sed-4"
+RDEPEND="~media-tv/mythtv-${PV}"
+DEPEND="${RDEPEND}
+ >=sys-apps/sed-4"
mythtv-plugins_src_unpack() {
unpack ${A}
@@ -65,7 +67,7 @@ mythtv-plugins_src_compile() {
econf ${myconf} ${MTVCONF}
- ${QTDIR}/bin/qmake QMAKE=${QTDIR}/bin/qmake -o "Makefile" mythplugins.pro || die "qmake failed to run"
+ ${QTDIR}/bin/qmake QMAKE="${QTDIR}/bin/qmake" -o "Makefile" mythplugins.pro || die "qmake failed to run"
emake || die "make failed to compile"
}